import { _ } from "./$";
import { AgreementConfig } from "./agreement-config";
import { AppsBranchDefaultRootDirConfig } from "./apps-branch-default-root-dir-config";
import { AssetConfig } from "./asset-config";
import { AvailableLangConfig } from "./available-lang-config";
import { AppConfig } from "./app-config";
import { ProtocolConfig } from "./protocol-config";
import { TrayConfig } from "./tray-config";
import { WindowConfig } from "./window-config";
export interface ConfigBase {
    id: string;
    version: string;
    name: string;
    description: string;
    companyId: string;
    companyName: string;
    mode: _.Mode;
    secret: string;
    isDefaultAutoProcessingUpdateEnabled: boolean;
    assets: {
        [assetId: string]: AssetConfig;
    };
    appsCatalogId: string;
    appsMainBranchDefaultRootDir: AppsBranchDefaultRootDirConfig;
    appsSecondaryBranchDefaultRootDir: AppsBranchDefaultRootDirConfig;
    isAppsBranchesNotDefaultRootDirAllowed: boolean;
    isStartingQuitTaskAllowedIfAnyOfAppsBranchesProcessExists: boolean;
    preconfiguredApps: {
        [preconfiguredAppId: string]: AppConfig;
    };
    areNotPreconfiguredAppsAllowed: boolean;
    window: WindowConfig;
    agreements: {
        [agreementId: string]: AgreementConfig;
    };
    statsAgreementId?: string;
    areStatsEntriesAnonymous: boolean;
    reportingErrorAgreementId?: string;
    availableLangs: {
        [availableLangTag: string]: AvailableLangConfig;
    };
    fallbackLangTag: string;
    translationsInfo: {
        [translationId: string]: _.TranslationInfo;
    };
    protocol?: ProtocolConfig;
    tray?: TrayConfig;
    overrideThemeUrl?: string;
    overrideLibkappsDirPath?: string;
    overrideRootDirPath?: string;
    overrideUserDataDirPath?: string;
}
//# sourceMappingURL=config-base.d.ts.map